# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.552   -> 1.553  
#	drivers/usb/serial/ftdi_sio.c	1.33    -> 1.34   
#	drivers/usb/serial/visor.c	1.37    -> 1.38   
#	drivers/usb/serial/usbserial.c	1.38    -> 1.39   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/08/28	greg@kroah.com	1.553
# USB: serial drivers: fixed __FUNCTION__ usages that I missed before.
# --------------------------------------------
#
diff -Nru a/drivers/usb/serial/ftdi_sio.c b/drivers/usb/serial/ftdi_sio.c
--- a/drivers/usb/serial/ftdi_sio.c	Wed Aug 28 23:20:07 2002
+++ b/drivers/usb/serial/ftdi_sio.c	Wed Aug 28 23:20:07 2002
@@ -462,7 +462,7 @@
 	struct usb_serial_port *port = (struct usb_serial_port *)urb->context;
 	struct usb_serial *serial;
 
-	dbg(__FUNCTION__);
+	dbg("%s", __FUNCTION__);
 
 	if (port_paranoia_check (port, "ftdi_sio_write_bulk_callback")) {
 		return;
@@ -634,8 +634,8 @@
 		case B38400: urb_value = ftdi_sio_b38400; dbg("Set to 38400") ; break;
 		case B57600: urb_value = ftdi_sio_b57600; dbg("Set to 57600") ; break;
 		case B115200: urb_value = ftdi_sio_b115200; dbg("Set to 115200") ; break;
-		default: dbg(__FUNCTION__ " FTDI_SIO does not support the baudrate (%d) requested",
-			     (cflag & CBAUD)); 
+		default: dbg("%s - FTDI_SIO does not support the baudrate (%d) requested",
+			     __FUNCTION__, (cflag & CBAUD)); 
 		   break;
 		}
 	} else { /* it is 8U232AM */
@@ -654,8 +654,8 @@
 		case B230400: urb_value = ftdi_8U232AM_48MHz_b230400; dbg("Set to 230400") ; break;
 		case B460800: urb_value = ftdi_8U232AM_48MHz_b460800; dbg("Set to 460800") ; break;
 		case B921600: urb_value = ftdi_8U232AM_48MHz_b921600; dbg("Set to 921600") ; break;
-		default: dbg(__FUNCTION__ " The baudrate (%d) requested is not implemented",
-			     (cflag & CBAUD)); 
+		default: dbg("%s - The baudrate (%d) requested is not implemented",
+			     __FUNCTION__, (cflag & CBAUD)); 
 		   break;
 		}
 	}
@@ -685,10 +685,11 @@
 			    FTDI_SIO_SET_DATA_REQUEST_TYPE,
 			    urb_value , 0,
 			    buf, 0, WDR_TIMEOUT) < 0) {
-		err(__FUNCTION__ " FAILED to enable/disable break state (state was %d)",break_state);
+		err("%s - FAILED to enable/disable break state (state was %d)",
+		    __FUNCTION__, break_state);
 	}	   
 
-	dbg(__FUNCTION__ " break state is %d - urb is %d",break_state, urb_value);
+	dbg("%s - break state is %d - urb is %d", __FUNCTION__, break_state, urb_value);
 	
 }
 
@@ -778,7 +779,7 @@
 				    FTDI_SIO_SET_BAUDRATE_REQUEST_TYPE,
 				    urb_value, 0, 
 				    buf, 0, 100) < 0) {
-			err(__FUNCTION__ " urb failed to set baurdrate");
+			err("%s urb failed to set baurdrate", __FUNCTION__);
 		}
 	}
 	/* Set flow control */
diff -Nru a/drivers/usb/serial/usbserial.c b/drivers/usb/serial/usbserial.c
--- a/drivers/usb/serial/usbserial.c	Wed Aug 28 23:20:07 2002
+++ b/drivers/usb/serial/usbserial.c	Wed Aug 28 23:20:07 2002
@@ -580,7 +580,7 @@
 static void __serial_close(struct usb_serial_port *port, struct file *filp)
 {
 	if (!port->open_count) {
-		dbg (__FUNCTION__ " - port not opened");
+		dbg ("%s - port not opened", __FUNCTION__);
 		return;
 	}
 
@@ -719,7 +719,7 @@
 	dbg("%s - port %d", __FUNCTION__, port->number);
 
 	if (!port->open_count) {
-		dbg (__FUNCTION__ " - port not open");
+		dbg ("%s - port not open", __FUNCTION__);
 		goto exit;
 	}
 
diff -Nru a/drivers/usb/serial/visor.c b/drivers/usb/serial/visor.c
--- a/drivers/usb/serial/visor.c	Wed Aug 28 23:20:07 2002
+++ b/drivers/usb/serial/visor.c	Wed Aug 28 23:20:07 2002
@@ -394,7 +394,8 @@
 	/* send it down the pipe */
 	status = usb_submit_urb(urb, GFP_ATOMIC);
 	if (status) {
-		err(__FUNCTION__ " - usb_submit_urb(write bulk) failed with status = %d", status);
+		err("%s - usb_submit_urb(write bulk) failed with status = %d",
+		    __FUNCTION__, status);
 		count = status;
 	} else {
 		bytes_out += count;
@@ -742,16 +743,17 @@
 	if (cflag & CRTSCTS)
 		dbg("%s - RTS/CTS is enabled", __FUNCTION__);
 	else
-		dbg(__FUNCTION__ " - RTS/CTS is disabled");
+		dbg("%s - RTS/CTS is disabled", __FUNCTION__);
 	
 	/* determine software flow control */
 	if (I_IXOFF(port->tty))
-		dbg(__FUNCTION__ " - XON/XOFF is enabled, XON = %2x, XOFF = %2x", START_CHAR(port->tty), STOP_CHAR(port->tty));
+		dbg("%s - XON/XOFF is enabled, XON = %2x, XOFF = %2x",
+		    __FUNCTION__, START_CHAR(port->tty), STOP_CHAR(port->tty));
 	else
-		dbg(__FUNCTION__ " - XON/XOFF is disabled");
+		dbg("%s - XON/XOFF is disabled", __FUNCTION__);
 
 	/* get the baud rate wanted */
-	dbg(__FUNCTION__ " - baud rate = %d", tty_get_baud_rate(port->tty));
+	dbg("%s - baud rate = %d", __FUNCTION__, tty_get_baud_rate(port->tty));
 
 	return;
 }
